Subject: [AVTCORE] Comments on SRTP EKT

From: Yi Cheng <[email-masked]>
Date: Mon, 11 Aug 2014 08:46:56 +0000

Send a previous email with Ericsson’s comments on SRTP EKT to the list.

Best regards,
Yi

From: Yi Cheng
Sent: den 14 maj 2014 09:01
To: [email-masked]'; [email-masked]'
Cc: Magnus Westerlund; John Mattsson
Subject: RE: MIKEY comments by Flemming

Hi,

John and me have reviewed the MIKEY part of the EKT Internet Draft. We see the following issues (Flemming has similar comments in FSA 49, FSA 50 and FSA 54):

1)      Section 5 specifies only how the EKT parameters (i.e. cipher, key, SPI) are to be transported in the MIKEY message. How the SRTP parameters are negotiated is not mentioned.

2)      As currently specified in section 5.1, when EKT is used together with MIKEY, we will have a  Security Policy (SP) payload with EKT as the Prot type and EKT cipher as the parameter. But we also need another SP payload to communicate SRTP parameters. What CS ID map info shall be given in the Common Header then? It’s not possible to have two policies associated with the same CS.

One possible solution is to include the EKT cipher and EKT SPI in the SRTP policy. So we have a single policy with both SRTP parameters and EKT parameters, avoiding the mapping problem in 2). EKT SPI can then be used to retrieve the EKT parameter set, as specified in section 2.1. If we go for this we need to add EKT SPI and cipher to the SRTP policy parameter list (section 6.10.1 of RFC 3830) and remove the EKT security policy and cipher parameter from section 5.1.

We can transport both EKT key and TGK in the KEMAC payload. This makes it possible to process received SRTP packets before the first valid EKT packet arrives, like in the case of combined EKT and SDP Security Description. The EKT key has KV = 1 (SPI) and TGK KV = NULL (note we cannot have multiple TGKs in the same MIKEY message since MKI is not allowed with EKT).

What do you (Cisco) think? Does it make sense to transport both EKT key and TGK in MIKEY or do you prefer to use MIKEY to transport EKT key only?

Best regards,
Yi Cheng

Ericsson Research
16480 Stockholm
Sweden